CPG_LEAVE(3)

NAME
cpg_leave - Leave a group in the CPG library

SYNOPSIS
#include <corosync/cpg.h>

int cpg_leave(cpg_handle_t handle, struct cpg_name *group);

DESCRIPTION
The cpg_leave function is used to leave a group. Once a group has been left the process will no longer receive messages or notifications about events in that group. Note that a process is only deemed to have left the group once it has been notified (by its confchg callback) that is has left. So expect to receive at least one confchg callback after calling this function. The argument group is used to specify the group to leave. It is currently ignored as only one group can be joined per handle. It is included here for to allow for future development.

RETURN VALUE
This call returns the CS_OK value if successful, otherwise an error is returned.

ERRORS
The errors are undocumented.

SEE ALSO
cpg_overview(8), cpg_initialize(3), cpg_finalize(3), cpg_fd_get(3), cpg_dispatch(3), cpg_join(3), cpg_leave(3), cpg_mcast_joined(3), cpg_membership_get(3) cpg_zcb_alloc(3) cpg_zcb_free(3) cpg_zcb_mcast_joined(3) cpg_context_get(3) cpg_context_set(3) cpg_local_get(3)